Get exception list items

Base URL
https://{kibana_url}
  • GET /api/exception_lists/items/_find
  • GET /s/{space_id}/api/exception_lists/items/_find
Auth

Get a list of all exception list items in the specified list.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

list_id string[] · format: nonempty required

List's id

filter string[] · format: nonempty · default: []

Filters the returned results according to the value of the specified field, using the <field name>:<field value> syntax.

namespace_type enum[] · default: [ "single" ]

Determines whether the returned containers are Kibana associated with a Kibana space or available in all spaces (agnostic or single)

Values: agnostic single
page integer · min: 0

The page number to return

per_page integer · min: 0

The number of exception list items to return per page

sort_field string · format: nonempty · min length: 1

Determines which field is used to sort the results

sort_order enum

Determines the sort order, which can be desc or asc

Values: desc asc

Responses

Successful response

application/json
data object[] required
_version string
comments object[] required
comment string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

created_at string · format: date-time required
created_by string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

updated_at string · format: date-time
updated_by string · format: nonempty · min length: 1

A string that does not contain only whitespace characters

created_at string · format: date-time required
created_by string required
description string required
entries union[] required
expire_time string · format: date-time
id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

item_id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

list_id string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

meta object
name string · format: nonempty · min length: 1 required

A string that does not contain only whitespace characters

namespace_type enum required

Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:

  • single: Only available in the Kibana space in which it is created.
  • agnostic: Available in all Kibana spaces.
Values: agnostic single
os_types enum[]
Values: linux macos windows
tags string[] · format: nonempty
tie_breaker_id string required
type enum required
Values: simple
updated_at string · format: date-time required
updated_by string required
page integer · min: 1 required
per_page integer · min: 1 required
pit string
total integer · min: 0 required

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

Exception list not found response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}